artdaq - Idea #13527

Combine CommandableFragmentGenerator and TriggeredFragmentGenerator

08/12/2016 11:02 AM - Eric Flumerfelt

Status: Closed Start date: 08/12/2016
Priority: Normal Due date:

Assignee: Eric Flumerfelt % Done: 80%
Category: Estimated time: 0.00 hour
Target version: vi_13_01

Experiment: -

Description

We have received several requests for at least parts of the functionality of the TriggeredFragmentGenerator. It should be integrated
into CommandableFragmentGenerator in a way that does not change the existing or default functionality, but allows users to select

from a "menu" of enhancements, such as separate data-taking or monitoring threads.

See artdag/feature/mergeCommandableAndTriggeredFragmentGenerator

History

#1 - 08/25/2016 04:12 PM - Eric Flumerfelt
- Status changed from Assigned to Closed

- Target version changed from 576 to vi_13 01

#2 - 08/25/2016 04:13 PM - Eric Flumerfelt

This, combined with the triggered example code in artdaq_demo, resulted in significant testing of the new CommandableFragmentGenerator code.
